## batctl 2016.0

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Copyright (C) 2006-2016  B.A.T.M.A.N. contributors
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA
#

# changing the CONFIG_* line to 'y' enables the related feature
# batctl advanced debugging tool bisect:
export CONFIG_BATCTL_BISECT=n

# batctl build
BINARY_NAME = batctl
OBJ = main.o bat-hosts.o functions.o sys.o debug.o ping.o traceroute.o tcpdump.o  hash.o debugfs.o ioctl.o list-batman.o translate.o
OBJ_BISECT = bisect_iv.o
MANPAGE = man/batctl.8

# batctl flags and options
CFLAGS += -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
CPPFLAGS += -D_GNU_SOURCE
LDLIBS += -lm

# disable verbose output
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC = @echo '   ' CC $@;
	Q_LD = @echo '   ' LD $@;
	export Q_CC
	export Q_LD
endif
endif

ifeq ($(origin PKG_CONFIG), undefined)
  PKG_CONFIG = pkg-config
  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
    $(error $(PKG_CONFIG) not found)
  endif
endif

ifeq ($(origin LIBNL_CFLAGS) $(origin LIBNL_LDLIBS), undefined undefined)
  LIBNL_NAME ?= libnl-3.0
  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_NAME) 2>/dev/null),)
    $(error No $(LIBNL_NAME) development libraries found!)
  endif
  LIBNL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_NAME))
  LIBNL_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(LIBNL_NAME))
endif
CFLAGS += $(LIBNL_CFLAGS)
LDLIBS += $(LIBNL_LDLIBS)

# standard build tools
ifeq ($(CONFIG_BATCTL_BISECT),y)
OBJ += $(OBJ_BISECT)
CPPFLAGS += -DBATCTL_BISECT
endif

CC ?= gcc
RM ?= rm -f
INSTALL ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)

# standard install paths
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man

# try to generate revision
REVISION= $(shell	if [ -d .git ]; then \
				echo $$(git describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
			fi)
ifneq ($(REVISION),)
CPPFLAGS += -DSOURCE_VERSION=\"$(REVISION)\"
endif

# default target
all: $(BINARY_NAME)

# standard build rules
.SUFFIXES: .o .c
.c.o:
	$(COMPILE.c) -o $@ $<

$(BINARY_NAME): $(OBJ)
	$(LINK.o) $^ $(LDLIBS) -o $@

clean:
	$(RM) $(BINARY_NAME) $(OBJ) $(OBJ_BISECT) $(DEP)

install: $(BINARY_NAME)
	$(MKDIR) $(DESTDIR)$(SBINDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m 0755 $(BINARY_NAME) $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 0644 $(MANPAGE) $(DESTDIR)$(MANDIR)/man8

# load dependencies
DEP = $(OBJ:.o=.d) $(OBJ_BISECT:.o=.d)
-include $(DEP)

.PHONY: all clean install

=== debian/changelog ===
batctl (2016.0-2) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git and Vcs-Browser to https://
  * Change debian URLs to https://
  * debian/upstream/signing-key.asc
    - Import new upstream RSA 4096 key 2DE9541A85CC87D5D9836D5E0C8A47A2ABD72DF9
  * Sort debian control files with `wrap-and-sort -abst`

 -- Sven Eckelmann <sven@narfation.org>  Sun, 31 Jan 2016 18:20:01 +0100

batctl (2016.0-1) unstable; urgency=medium

  * New Upstream Version
  * Override the lintian warning about missing upstream changelog
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Tue, 19 Jan 2016 18:07:35 +0100

batctl (2015.2-2) unstable; urgency=medium

  * Switch upstream URLs to https://
  * debian/control, debian/rules:
    - Drop batctl-dbg in favor of -dbgsym package

 -- Sven Eckelmann <sven@narfation.org>  Wed, 30 Dec 2015 19:20:19 +0100

batctl (2015.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 27 Nov 2015 14:13:36 +0100

=== debian/control ===
Source: batctl
Section: net
Priority: extra
Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
Standards-Version: 3.9.6
Homepage: https://www.open-mesh.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/batctl.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/batctl.git/
Build-Depends:
 debhelper (>= 9.20151219),
 dpkg-dev (>= 1.16.1.1),
 libnl-3-dev,
 pkg-config,

Package: batctl
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: B.A.T.M.A.N. advanced control and management tool
 This package contains batctl, which serves as configuration utility,
 monitoring and debugging application. It allows one to modify the module
 parameters, reading the logfiles and tables, decapsulate embedded packets on
 the fly, traceroute to and ping mac addresses, generate sequence number graphs
 for the Layer 2 Mesh B.A.T.M.A.N.
 .
 B.A.T.M.A.N. (better approach to mobile ad-hoc networking) is a new routing
 protocol for multi-hop ad-hoc mesh networks. B.A.T.M.A.N.-advanced is the
 implementation of this protocol on ISO/OSI Layer 2, allowing mesh networks to
 be used as a virtual switch. With this approach, LANs and WANs can be easily
 integrated, and more protocols (like DHCP, IPv6) are supported.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fdata-sections -ffunction-sections -flto
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections

REVISION=$(shell dpkg-parsechangelog|grep '^Version: '|sed 's/^Version:\s*//')
MAKEOPTIONS = V="1" REVISION="debian-$(REVISION)" PREFIX="/usr" CONFIG_BATCTL_BISECT=y

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --parallel --list-missing

get-orig-source:
	$(CURDIR)/debian/get-orig-source.sh

override_dh_auto_build:
	dh_auto_build -- $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_strip:
	dh_strip -a --ddeb-migration='batctl-dbg (<< 2015.2-2~)'

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_strip

## batctl 2016.2

=== debian/changelog ===
batctl (2016.2-1) unstable; urgency=medium

  * New Upstream Version
  * Download snapshots via https:// in debian/get-orig-source.sh
  * Reference repository only over https:// in debian/upstream/metadata
  * Upgraded to policy 3.9.8, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Thu, 09 Jun 2016 16:35:34 +0200

batctl (2016.1-1) unstable; urgency=medium

  * New Upstream Version
  * Upgraded to policy 3.9.7, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Thu, 21 Apr 2016 14:27:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://www.open-mesh.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/batctl.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/batctl.git/

## batctl 2016.5

=== Makefile ===
--- 
+++ 
@@ -24,14 +24,30 @@
 
 # batctl build
 BINARY_NAME = batctl
-OBJ = main.o bat-hosts.o functions.o sys.o debug.o ping.o traceroute.o tcpdump.o  hash.o debugfs.o ioctl.o list-batman.o translate.o
+OBJ += bat-hosts.o
+OBJ += debugfs.o
+OBJ += debug.o
+OBJ += functions.o
+OBJ += genl.o
+OBJ += hash.o
+OBJ += icmp_helper.o
+OBJ += interface.o
+OBJ += ioctl.o
+OBJ += main.o
+OBJ += netlink.o
+OBJ += ping.o
+OBJ += sys.o
+OBJ += tcpdump.o
+OBJ += tp_meter.o
+OBJ += traceroute.o
+OBJ += translate.o
 OBJ_BISECT = bisect_iv.o
 MANPAGE = man/batctl.8
 
 # batctl flags and options
 CFLAGS += -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
 CPPFLAGS += -D_GNU_SOURCE
-LDLIBS += -lm
+LDLIBS += -lm -lrt
 
 # disable verbose output
 ifneq ($(findstring $(MAKEFLAGS),s),s)
@@ -60,6 +76,17 @@
 endif
 CFLAGS += $(LIBNL_CFLAGS)
 LDLIBS += $(LIBNL_LDLIBS)
+
+ifeq ($(origin LIBNL_GENL_CFLAGS) $(origin LIBNL_GENL_LDLIBS), undefined undefined)
+  LIBNL_GENL_NAME ?= libnl-genl-3.0
+  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_GENL_NAME) 2>/dev/null),)
+    $(error No $(LIBNL_GENL_NAME) development libraries found!)
+  endif
+  LIBNL_GENL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_GENL_NAME))
+  LIBNL_GENL_LDLIBS += $(shell $(PKG_CONFIG) --libs $(LIBNL_GENL_NAME))
+endif
+CFLAGS += $(LIBNL_GENL_CFLAGS)
+LDLIBS += $(LIBNL_GENL_LDLIBS)
 
 # standard build tools
 ifeq ($(CONFIG_BATCTL_BISECT),y)

=== debian/changelog ===
batctl (2016.5-1) unstable; urgency=medium

  * New Upstream Version
  * Add new files to debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 16 Dec 2016 10:49:19 +0100

batctl (2016.4-1) unstable; urgency=medium

  * New Upstream Version
  * debian/patches:
    - Remove upstream merged batctl-Fix-minor-typos-in-manpage.patch,
      batctl-Fix-unknown-macro-.Pp-in-manpage.patch

 -- Sven Eckelmann <sven@narfation.org>  Fri, 28 Oct 2016 08:37:00 +0200

batctl (2016.3-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control
    - Add new dependency libnl-genl-3-dev
  * debian/copyright:
    - Add new files and copyright holders
  * debian/rules:
    - install CHANGELOG
  * debian/patches:
    - batctl-Fix-minor-typos-in-manpage.patch, Fix minor typos in manpage
    - batctl-Fix-unknown-macro-.Pp-in-manpage.patch, Fix unknown macro
      .Pp in manpage

 -- Sven Eckelmann <sven@narfation.org>  Thu, 01 Sep 2016 18:09:54 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  debhelper (>= 9.20151219),
  dpkg-dev (>= 1.16.1.1),
  libnl-3-dev,
+ libnl-genl-3-dev,
  pkg-config,
 
 Package: batctl

=== debian/rules ===
--- 
+++ 
@@ -24,5 +24,8 @@
 override_dh_strip:
 	dh_strip -a --ddeb-migration='batctl-dbg (<< 2015.2-2~)'
 
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG
+
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
-	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_strip
+	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_installchangelogs

## batctl 2017.2

=== debian/changelog ===
batctl (2017.2-2) unstable; urgency=medium

  * Upload to unstable
  * debian/patches:
    - Add batctl-Fix-error-message-when-traceroute-packet-send-fail.patch,
      Fix error message when traceroute packet send failed

 -- Sven Eckelmann <sven@narfation.org>  Sat, 05 Aug 2017 08:56:40 +0200

batctl (2017.2-1) experimental; urgency=medium

  * New Upstream Version
  * debian/control:
    - update to debhelper 10
  * Upgraded to policy 4.0.0, no changes required
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package

 -- Sven Eckelmann <sven@narfation.org>  Fri, 28 Jul 2017 14:22:17 +0200

batctl (2017.1-1) experimental; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 23 May 2017 12:20:09 +0200

batctl (2017.0-1) experimental; urgency=medium

  * New Upstream Version
  * debian/copyright:
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Tue, 28 Feb 2017 17:50:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://www.open-mesh.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/batctl.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/batctl.git/
 Build-Depends:
- debhelper (>= 9.20151219),
+ debhelper (>= 10),
  dpkg-dev (>= 1.16.1.1),
  libnl-3-dev,
  libnl-genl-3-dev,

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,8 @@
 override_dh_auto_install:
 	dh_auto_install -- $(MAKEOPTIONS)
 
-override_dh_strip:
-	dh_strip -a --ddeb-migration='batctl-dbg (<< 2015.2-2~)'
-
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
-	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_installchangelogs
+	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_installchangelogs

## batctl 2018.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
+# SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2006-2016  B.A.T.M.A.N. contributors
+# Copyright (C) 2006-2018  B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public
@@ -17,6 +18,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301, USA
 #
+# License-Filename: LICENSES/preferred/GPL-2.0
 
 # changing the CONFIG_* line to 'y' enables the related feature
 # batctl advanced debugging tool bisect:

=== debian/changelog ===
batctl (2018.0-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control
    - Change Vcs-Git and Vcs-Browser to salsa.debian.org
  * debian/copyright:
    - Update copyright years
    - Adjust license of batman_adv.h

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Feb 2018 10:27:03 +0100

batctl (2017.4-1) unstable; urgency=medium

  * New Upstream Version
  * Upgraded to policy 4.1.2
    - Switch from priority extra to optional
  * Change documentation filename to README.rst
  * Change changelog filename to CHANGELOG.rst

 -- Sven Eckelmann <sven@narfation.org>  Tue, 05 Dec 2017 18:15:01 +0100

batctl (2017.3-1) unstable; urgency=medium

  * New Upstream Version
  * Upgraded to policy 4.0.1.0
    - Switch from priority extra to optional
  * debian/patches:
    - Remove upstream merged
      batctl-Fix-error-message-when-traceroute-packet-send-fail.patch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 28 Sep 2017 16:59:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: batctl
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://www.open-mesh.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/batctl.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/batctl.git/
+Vcs-Git: https://salsa.debian.org/ecsv-guest/batctl.git
+Vcs-Browser: https://salsa.debian.org/ecsv-guest/batctl
 Build-Depends:
  debhelper (>= 10),
  dpkg-dev (>= 1.16.1.1),

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_auto_install -- $(MAKEOPTIONS)
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGELOG
+	dh_installchangelogs CHANGELOG.rst
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
 	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_installchangelogs

=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta|rc)/~$1/,pgpsigurlmangle=s/$/.asc/" \
 https://downloads.open-mesh.org/batman/stable/sources/batctl/batctl-(.*).tar.gz

## batctl 2018.2

=== debian/changelog ===
batctl (2018.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 17 Jul 2018 19:07:58 +0200

batctl (2018.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Wed, 25 Apr 2018 19:50:36 +0200

## batctl 2019.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2006-2018  B.A.T.M.A.N. contributors
+# Copyright (C) 2006-2019  B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public
@@ -20,30 +20,70 @@
 #
 # License-Filename: LICENSES/preferred/GPL-2.0
 
-# changing the CONFIG_* line to 'y' enables the related feature
-# batctl advanced debugging tool bisect:
+# just for backward compatibility - please use CONFIG_bisect_iv instead
 export CONFIG_BATCTL_BISECT=n
 
 # batctl build
 BINARY_NAME = batctl
-OBJ += bat-hosts.o
-OBJ += debugfs.o
-OBJ += debug.o
-OBJ += functions.o
-OBJ += genl.o
-OBJ += hash.o
-OBJ += icmp_helper.o
-OBJ += interface.o
-OBJ += ioctl.o
-OBJ += main.o
-OBJ += netlink.o
-OBJ += ping.o
-OBJ += sys.o
-OBJ += tcpdump.o
-OBJ += tp_meter.o
-OBJ += traceroute.o
-OBJ += translate.o
-OBJ_BISECT = bisect_iv.o
+
+obj-y += bat-hosts.o
+obj-y += debugfs.o
+obj-y += debug.o
+obj-y += functions.o
+obj-y += genl.o
+obj-y += hash.o
+obj-y += icmp_helper.o
+obj-y += main.o
+obj-y += netlink.o
+obj-y += sys.o
+
+define add_command
+  CONFIG_$(1):=$(2)
+  ifneq ($$(CONFIG_$(1)),y)
+    ifneq ($$(CONFIG_$(1)),n)
+      $$(warning invalid value for parameter CONFIG_$(1): $$(CONFIG_$(1)))
+    endif
+  endif
+
+  obj-$$(CONFIG_$(1)) += $(1).o
+endef # add_command
+
+# using the make parameter CONFIG_* (e.g. CONFIG_bisect_iv) with the value 'y'
+# enables the related feature and 'n' disables it
+$(eval $(call add_command,aggregation,y))
+$(eval $(call add_command,ap_isolation,y))
+$(eval $(call add_command,backbonetable,y))
+$(eval $(call add_command,bisect_iv,$(CONFIG_BATCTL_BISECT)))
+$(eval $(call add_command,bonding,y))
+$(eval $(call add_command,bridge_loop_avoidance,y))
+$(eval $(call add_command,claimtable,y))
+$(eval $(call add_command,dat_cache,y))
+$(eval $(call add_command,distributed_arp_table,y))
+$(eval $(call add_command,event,y))
+$(eval $(call add_command,fragmentation,y))
+$(eval $(call add_command,gateways,y))
+$(eval $(call add_command,gw_mode,y))
+$(eval $(call add_command,interface,y))
+$(eval $(call add_command,isolation_mark,y))
+$(eval $(call add_command,log,y))
+$(eval $(call add_command,loglevel,y))
+$(eval $(call add_command,mcast_flags,y))
+$(eval $(call add_command,multicast_mode,y))
+$(eval $(call add_command,nc_nodes,y))
+$(eval $(call add_command,neighbors,y))
+$(eval $(call add_command,network_coding,y))
+$(eval $(call add_command,orig_interval,y))
+$(eval $(call add_command,originators,y))
+$(eval $(call add_command,ping,y))
+$(eval $(call add_command,routing_algo,y))
+$(eval $(call add_command,statistics,y))
+$(eval $(call add_command,tcpdump,y))
+$(eval $(call add_command,throughputmeter,y))
+$(eval $(call add_command,traceroute,y))
+$(eval $(call add_command,transglobal,y))
+$(eval $(call add_command,translate,y))
+$(eval $(call add_command,translocal,y))
+
 MANPAGE = man/batctl.8
 
 # batctl flags and options
@@ -91,11 +131,6 @@
 LDLIBS += $(LIBNL_GENL_LDLIBS)
 
 # standard build tools
-ifeq ($(CONFIG_BATCTL_BISECT),y)
-OBJ += $(OBJ_BISECT)
-CPPFLAGS += -DBATCTL_BISECT
-endif
-
 CC ?= gcc
 RM ?= rm -f
 INSTALL ?= install
@@ -124,11 +159,11 @@
 .c.o:
 	$(COMPILE.c) -o $@ $<
 
-$(BINARY_NAME): $(OBJ)
+$(BINARY_NAME): $(obj-y)
 	$(LINK.o) $^ $(LDLIBS) -o $@
 
 clean:
-	$(RM) $(BINARY_NAME) $(OBJ) $(OBJ_BISECT) $(DEP)
+	$(RM) $(BINARY_NAME) $(obj-y) $(obj-n) $(DEP)
 
 install: $(BINARY_NAME)
 	$(MKDIR) $(DESTDIR)$(SBINDIR)
@@ -137,7 +172,7 @@
 	$(INSTALL) -m 0644 $(MANPAGE) $(DESTDIR)$(MANDIR)/man8
 
 # load dependencies
-DEP = $(OBJ:.o=.d) $(OBJ_BISECT:.o=.d)
+DEP = $(obj-y:.o=.d) $(obj-n:.o=.d)
 -include $(DEP)
 
 .PHONY: all clean install

=== debian/changelog ===
batctl (2019.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sven Eckelmann <sven@narfation.org>  Thu, 07 Feb 2019 10:30:37 +0100

batctl (2019.0-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Feb 2019 22:32:44 +0100

batctl (2018.4-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Sven Eckelmann <sven@narfation.org>  Tue, 11 Dec 2018 08:44:48 +0100

batctl (2018.4-2) unstable; urgency=medium

  * debian/patches:
    - Add batctl-Fix-parsing-of-optional-debug-table-command-parame.patch,
      Fix parsing of optional debug table command parameters

 -- Sven Eckelmann <sven@narfation.org>  Thu, 06 Dec 2018 10:11:22 +0100

batctl (2018.4-1) unstable; urgency=medium

  * New Upstream Version
  * debian/rules:
    - drop old config symbol CONFIG_BATCTL_BISECT
    - Enable new config symbol CONFIG_bisect_iv

 -- Sven Eckelmann <sven@narfation.org>  Wed, 14 Nov 2018 21:12:51 +0100

batctl (2018.3-2) unstable; urgency=medium

  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/rules
    - Drop (now default) parameter --parallel for dch
    - Use pkg-info.mk to add the package version as internal batctl version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:15:27 +0200

batctl (2018.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 14 Sep 2018 18:02:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Homepage: https://www.open-mesh.org/
 Vcs-Git: https://salsa.debian.org/ecsv-guest/batctl.git
 Vcs-Browser: https://salsa.debian.org/ecsv-guest/batctl

## batctl 2019.1

=== Makefile ===
--- 
+++ 
@@ -63,11 +63,13 @@
 $(eval $(call add_command,fragmentation,y))
 $(eval $(call add_command,gateways,y))
 $(eval $(call add_command,gw_mode,y))
+$(eval $(call add_command,hop_penalty,y))
 $(eval $(call add_command,interface,y))
 $(eval $(call add_command,isolation_mark,y))
 $(eval $(call add_command,log,y))
 $(eval $(call add_command,loglevel,y))
 $(eval $(call add_command,mcast_flags,y))
+$(eval $(call add_command,multicast_forceflood,y))
 $(eval $(call add_command,multicast_mode,y))
 $(eval $(call add_command,nc_nodes,y))
 $(eval $(call add_command,neighbors,y))

=== debian/changelog ===
batctl (2019.1-1) experimental; urgency=medium

  * New Upstream Version
  * debian/control
    - Automatically select correct Vcs-Git branch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 28 Mar 2019 17:49:05 +0100

batctl (2019.0-2) experimental; urgency=medium

  [ Helmut Grohne ]
  * debian/rules:
    - Fix FTCBFS: Provide a PKG_CONFIG for all make targets. (Closes: #923281)

  [ Sven Eckelmann ]
  * debian/control:
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:16:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.open-mesh.org/
-Vcs-Git: https://salsa.debian.org/ecsv-guest/batctl.git
+Vcs-Git: https://salsa.debian.org/ecsv-guest/batctl.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/ecsv-guest/batctl
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  dpkg-dev (>= 1.16.1.1),
  libnl-3-dev,
  libnl-genl-3-dev,

## batctl 2019.2

=== debian/changelog ===
batctl (2019.2-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - Move Vcs to communitywlan-team group

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jul 2019 15:40:47 +0200

batctl (2019.2-1) experimental; urgency=medium

  * New Upstream Version
  * Fix name of debug package debian/README.Debian

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 May 2019 17:05:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Sven Eckelmann <sven@narfation.org>,
 Standards-Version: 4.3.0
 Homepage: https://www.open-mesh.org/
-Vcs-Git: https://salsa.debian.org/ecsv-guest/batctl.git -b debian/experimental
-Vcs-Browser: https://salsa.debian.org/ecsv-guest/batctl
+Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/sid
+Vcs-Browser: https://salsa.debian.org/communitywlan-team/batctl
 Build-Depends:
  debhelper (>= 12),
  dpkg-dev (>= 1.16.1.1),

## batctl 2019.3

=== debian/changelog ===
batctl (2019.3-1) unstable; urgency=low

  * New Upstream Version
  * Upgraded to policy 4.4.0, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Thu, 01 Aug 2019 17:14:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://www.open-mesh.org/
 Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/batctl

## batctl 2019.5

=== Makefile ===
--- 
+++ 
@@ -3,20 +3,6 @@
 # -*- makefile -*-
 #
 # Copyright (C) 2006-2019  B.A.T.M.A.N. contributors
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of version 2 of the GNU General Public
-# License as published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA
 #
 # License-Filename: LICENSES/preferred/GPL-2.0
 
@@ -59,6 +45,7 @@
 $(eval $(call add_command,claimtable,y))
 $(eval $(call add_command,dat_cache,y))
 $(eval $(call add_command,distributed_arp_table,y))
+$(eval $(call add_command,elp_interval,y))
 $(eval $(call add_command,event,y))
 $(eval $(call add_command,fragmentation,y))
 $(eval $(call add_command,gateways,y))
@@ -66,9 +53,9 @@
 $(eval $(call add_command,hop_penalty,y))
 $(eval $(call add_command,interface,y))
 $(eval $(call add_command,isolation_mark,y))
-$(eval $(call add_command,log,y))
 $(eval $(call add_command,loglevel,y))
 $(eval $(call add_command,mcast_flags,y))
+$(eval $(call add_command,multicast_fanout,y))
 $(eval $(call add_command,multicast_forceflood,y))
 $(eval $(call add_command,multicast_mode,y))
 $(eval $(call add_command,nc_nodes,y))
@@ -80,6 +67,7 @@
 $(eval $(call add_command,routing_algo,y))
 $(eval $(call add_command,statistics,y))
 $(eval $(call add_command,tcpdump,y))
+$(eval $(call add_command,throughput_override,y))
 $(eval $(call add_command,throughputmeter,y))
 $(eval $(call add_command,traceroute,y))
 $(eval $(call add_command,transglobal,y))

=== debian/changelog ===
batctl (2019.5-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Allow build without (fake)root

 -- Sven Eckelmann <sven@narfation.org>  Thu, 12 Dec 2019 14:49:13 +0100

batctl (2019.4-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Switch debhelper dependency to debhelper-compat
    - Upgraded to policy 4.4.1, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Fri, 25 Oct 2019 12:00:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/
 Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/batctl
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  libnl-3-dev,
  libnl-genl-3-dev,

## batctl 2020.3

=== debian/changelog ===
batctl (2020.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 24 Aug 2020 21:20:52 +0200

batctl (2020.2-1) unstable; urgency=medium

  * New Upstream Version
  * debian/copyright:
    - Use spaces to start continuation lines
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * debian/control:
    - Switch to debhelper compat 13
    - Switch maintainer to Debian CommunityWLAN Team

 -- Sven Eckelmann <sven@narfation.org>  Mon, 06 Jul 2020 17:50:28 +0200

batctl (2020.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 24 Apr 2020 16:55:32 +0200

batctl (2020.0-1) unstable; urgency=medium

  * New Upstream Version
  * debian/copyright
    - Update copyright years to 2020
  * debian/control:
    - Upgraded to policy 4.5.0, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 Mar 2020 12:59:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: batctl
 Section: net
 Priority: optional
-Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
+Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
+ Simon Wunderlich <sw@simonwunderlich.de>,
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/
 Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/batctl
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1.1),
  libnl-3-dev,
  libnl-genl-3-dev,

## batctl 2020.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2006-2019  B.A.T.M.A.N. contributors
+# Copyright (C) 2006-2020  B.A.T.M.A.N. contributors
 #
 # License-Filename: LICENSES/preferred/GPL-2.0

=== debian/changelog ===
batctl (2020.4-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.
  * Switch back to debhelper-compat 12

 -- Sven Eckelmann <sven@narfation.org>  Mon, 02 Nov 2020 08:54:08 +0100

batctl (2020.4-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Oct 2020 15:28:55 +0100

batctl (2020.3-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.
  * Switch back to debhelper-compat 12

 -- Sven Eckelmann <sven@narfation.org>  Sun, 30 Aug 2020 08:11:11 +0200

batctl (2020.2-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.
  * Switch back to debhelper-compat 12

 -- Sven Eckelmann <sven@narfation.org>  Sun, 12 Jul 2020 10:07:27 +0200

batctl (2020.1-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Thu, 30 Apr 2020 10:00:51 +0200

batctl (2020.0-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 09 Mar 2020 09:02:18 +0100

batctl (2019.5-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 18 Dec 2019 11:15:00 +0100

batctl (2019.4-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 30 Oct 2019 08:33:22 +0100

batctl (2019.3-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 12 Aug 2019 20:30:41 +0200

batctl (2019.2-2~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Sun, 21 Jul 2019 14:03:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/
-Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/sid
+Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/stretch-backports-sloppy
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/batctl
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1.1),
  libnl-3-dev,
  libnl-genl-3-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/pkg-info.mk

export PKG_CONFIG ?= pkg-config
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fdata-sections -ffunction-sections -flto
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections

MAKEOPTIONS = V="1" REVISION="debian-$(DEB_VERSION)" PREFIX="/usr" CONFIG_bisect_iv=y

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_build override_dh_auto_install override_dh_installchangelogs

## batctl 2021.4

=== debian/changelog ===
batctl (2021.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sven Eckelmann <sven@narfation.org>  Fri, 26 Nov 2021 20:18:15 +0100

batctl (2021.4-2) unstable; urgency=medium

  * Source only reupload

 -- Sven Eckelmann <sven@narfation.org>  Sun, 21 Nov 2021 09:13:14 +0100

batctl (2021.4-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 19 Nov 2021 16:13:40 +0100

batctl (2021.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 22 Sep 2021 10:43:57 +0200

batctl (2021.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 14 Sep 2021 20:42:40 +0200

batctl (2021.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 25 Aug 2021 07:53:25 +0200

batctl (2021.2-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.6.0, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Fri, 20 Aug 2021 11:06:31 +0200

batctl (2021.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sven Eckelmann <sven@narfation.org>  Fri, 20 Aug 2021 08:50:22 +0200

batctl (2021.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control
    - Switch to correct DEP-14 unstable branch name

 -- Sven Eckelmann <sven@narfation.org>  Sun, 15 Aug 2021 08:44:31 +0200

batctl (2021.1-1) experimental; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 18 May 2021 17:59:51 +0200

batctl (2021.0-1) experimental; urgency=medium

  * New Upstream Version
  * debian/patches:
    - Drop upstream merged patches
      batctl-Fix-retrieval-of-meshif-ap_isolation.patch,
      batctl-Don-t-stop-when-create_interface-detected-existing.patch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 28 Jan 2021 17:55:51 +0100

batctl (2020.4-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.5.1, no changes required
  * debian/patches:
    - Add batctl-Fix-retrieval-of-meshif-ap_isolation.patch,
      Fix retrieval of meshif ap_isolation
    - Add batctl-Don-t-stop-when-create_interface-detected-existing.patch,
      Don't stop when create_interface detected existing interface

 -- Sven Eckelmann <sven@narfation.org>  Wed, 20 Jan 2021 08:22:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Simon Wunderlich <sw@simonwunderlich.de>,
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/
-Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/stretch-backports-sloppy
+Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/bullseye-backports
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/batctl
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1.1),
  libnl-3-dev,
  libnl-genl-3-dev,

## batctl 2022.0

=== debian/changelog ===
batctl (2022.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Sven Eckelmann ]
  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 03 Feb 2022 19:03:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/
-Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/bullseye-backports
+Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/batctl
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.16.1.1),
  libnl-3-dev,
  libnl-genl-3-dev,
  pkg-config,

## batctl 2022.2

=== debian/changelog ===
batctl (2022.2-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Tue, 02 Aug 2022 15:42:59 +0200

batctl (2022.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 26 Jul 2022 21:37:34 +0200

batctl (2022.1-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Thu, 12 May 2022 11:25:33 +0200

batctl (2022.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 06 May 2022 19:54:57 +0200

batctl (2022.0-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 09 Feb 2022 09:51:37 +0100

batctl (2021.4-2~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Fri, 26 Nov 2021 20:33:49 +0100

batctl (2021.3-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 22 Sep 2021 10:46:12 +0200

batctl (2021.2-1~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 25 Aug 2021 08:03:33 +0200

batctl (2021.1-2~bpo10+1) buster-backports-sloppy; urgency=medium

  * Rebuild for buster-backports-sloppy.

 -- Sven Eckelmann <sven@narfation.org>  Fri, 20 Aug 2021 09:12:51 +0200

batctl (2020.4-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 25 Jan 2021 08:17:11 +0100

batctl (2020.4-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 02 Nov 2020 08:49:23 +0100

batctl (2020.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sven Eckelmann <sven@narfation.org>  Sun, 30 Aug 2020 07:58:04 +0200

batctl (2020.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sven Eckelmann <sven@narfation.org>  Sun, 12 Jul 2020 09:59:58 +0200

batctl (2020.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sven Eckelmann <sven@narfation.org>  Thu, 30 Apr 2020 09:57:04 +0200

batctl (2020.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 09 Mar 2020 08:58:22 +0100

batctl (2019.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 18 Dec 2019 11:17:08 +0100

batctl (2019.4-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 30 Oct 2019 08:26:46 +0100

batctl (2019.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sven Eckelmann <sven@narfation.org>  Mon, 12 Aug 2019 20:17:09 +0200

batctl (2019.2-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sven Eckelmann <sven@narfation.org>  Sun, 21 Jul 2019 14:18:31 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/
-Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/unstable
+Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/buster-backports-sloppy
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/batctl
 Build-Depends:
  debhelper-compat (= 13),

## batctl 2023.0

=== debian/changelog ===
batctl (2023.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 01 Feb 2023 09:16:20 +0100

batctl (2023.0-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Jan 2023 18:45:33 +0100

batctl (2022.3-2) unstable; urgency=medium

  * debian/copyright:
    - Drop superfluous file pattern debugfs.*
    - Update copyright years to 2022
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 09:44:20 +0100

batctl (2022.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 16 Nov 2022 12:03:45 +0100

batctl (2022.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Thu, 10 Nov 2022 20:43:29 +0100

batctl (2022.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sven Eckelmann <sven@narfation.org>  Tue, 02 Aug 2022 15:41:31 +0200

batctl (2022.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sven Eckelmann <sven@narfation.org>  Thu, 12 May 2022 11:23:09 +0200

batctl (2022.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Sven Eckelmann <sven@narfation.org>  Wed, 09 Feb 2022 09:46:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Simon Wunderlich <sw@simonwunderlich.de>,
  Sven Eckelmann <sven@narfation.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/
-Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/buster-backports-sloppy
+Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/bullseye-backports
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/batctl
 Build-Depends:
  debhelper-compat (= 13),

## batctl 2023.2

=== debian/changelog ===
batctl (2023.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Wed, 16 Aug 2023 22:41:22 +0200

batctl (2023.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Wed, 21 Jun 2023 09:53:02 +0200

batctl (2023.1-1) experimental; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 27 May 2023 11:10:20 +0200

## batctl 2024.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # SPDX-License-Identifier: GPL-2.0
 # -*- makefile -*-
 #
-# Copyright (C) 2006-2020  B.A.T.M.A.N. contributors
+# Copyright (C) B.A.T.M.A.N. contributors
 #
 # License-Filename: LICENSES/preferred/GPL-2.0
 
@@ -13,10 +13,10 @@
 BINARY_NAME = batctl
 
 obj-y += bat-hosts.o
-obj-y += debugfs.o
 obj-y += debug.o
 obj-y += functions.o
 obj-y += genl.o
+obj-y += genl_json.o
 obj-y += hash.o
 obj-y += icmp_helper.o
 obj-y += main.o
@@ -40,29 +40,38 @@
 $(eval $(call add_command,ap_isolation,y))
 $(eval $(call add_command,backbonetable,y))
 $(eval $(call add_command,bisect_iv,$(CONFIG_BATCTL_BISECT)))
+$(eval $(call add_command,bla_backbone_json,y))
+$(eval $(call add_command,bla_claim_json,y))
 $(eval $(call add_command,bonding,y))
 $(eval $(call add_command,bridge_loop_avoidance,y))
 $(eval $(call add_command,claimtable,y))
 $(eval $(call add_command,dat_cache,y))
+$(eval $(call add_command,dat_cache_json,y))
 $(eval $(call add_command,distributed_arp_table,y))
 $(eval $(call add_command,elp_interval,y))
 $(eval $(call add_command,event,y))
 $(eval $(call add_command,fragmentation,y))
 $(eval $(call add_command,gateways,y))
+$(eval $(call add_command,gateways_json,y))
 $(eval $(call add_command,gw_mode,y))
+$(eval $(call add_command,hardif_json,y))
+$(eval $(call add_command,hardifs_json,y))
 $(eval $(call add_command,hop_penalty,y))
 $(eval $(call add_command,interface,y))
 $(eval $(call add_command,isolation_mark,y))
 $(eval $(call add_command,loglevel,y))
 $(eval $(call add_command,mcast_flags,y))
+$(eval $(call add_command,mcast_flags_json,y))
+$(eval $(call add_command,mesh_json,y))
 $(eval $(call add_command,multicast_fanout,y))
 $(eval $(call add_command,multicast_forceflood,y))
 $(eval $(call add_command,multicast_mode,y))
-$(eval $(call add_command,nc_nodes,y))
 $(eval $(call add_command,neighbors,y))
+$(eval $(call add_command,neighbors_json,y))
 $(eval $(call add_command,network_coding,y))
 $(eval $(call add_command,orig_interval,y))
 $(eval $(call add_command,originators,y))
+$(eval $(call add_command,originators_json,y))
 $(eval $(call add_command,ping,y))
 $(eval $(call add_command,routing_algo,y))
 $(eval $(call add_command,statistics,y))
@@ -73,6 +82,9 @@
 $(eval $(call add_command,transglobal,y))
 $(eval $(call add_command,translate,y))
 $(eval $(call add_command,translocal,y))
+$(eval $(call add_command,transtable_global_json,y))
+$(eval $(call add_command,transtable_local_json,y))
+$(eval $(call add_command,vlan_json,y))
 
 MANPAGE = man/batctl.8

=== debian/changelog ===
batctl (2024.0-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 02 Feb 2024 21:26:43 +0100

batctl (2023.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Fri, 17 Nov 2023 19:54:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.open-mesh.org/
-Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/bullseye-backports
+Vcs-Git: https://salsa.debian.org/communitywlan-team/batctl.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/communitywlan-team/batctl
 Build-Depends:
  debhelper-compat (= 13),

## batctl 2024.2

=== debian/changelog ===
batctl (2024.2-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jun 2024 17:17:25 +0200

batctl (2024.1-1) unstable; urgency=medium

  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
    - Use DEB_BUILD_MAINT_OPTIONS to set lfs flag
  * debian/control:
    - Replace pkg-config with pkgconf

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Apr 2024 10:05:37 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  debhelper-compat (= 13),
  libnl-3-dev,
  libnl-genl-3-dev,
- pkg-config,
+ pkgconf,
 
 Package: batctl
 Architecture: linux-any

## batctl 2024.3

=== debian/changelog ===
batctl (2024.3-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Oct 2024 10:17:02 +0200
